from contrib.umws.umws_service import UMWebService


class SMSService(UMWebService):
    """ """
    settings_name = "SMS_SERVICE_CONFIG"

    def send_message(self, number, message, anonymous=False):
        """ Returns message id (int) """
        if self.in_debug():
            return "Success Message"
        client = self.get_client()
        return client.service.SendMessage(number, message, anonymous)

    def get_message_status(self, msgid):
        """ """
        if self.in_debug():
            return "sended"  # FIXME missing info
        client = self.get_client()
        return client.service.GetMessageStatus(msgid)


sms_service = SMSService()
